import 'dart:math';

class FawryUtils {
  // Generates a random alphanumeric string of specified length
  static String randomAlphaNumeric(int length) {
    const chars =
        'AaBbCcDdEeFfGgHhIiJjKkLlMmNnOoPpQqRrSsTtUuVvWwXxYyZz1234567890';
    Random rnd = Random();

    return String.fromCharCodes(Iterable.generate(
        length, (_) => chars.codeUnitAt(rnd.nextInt(chars.length))));
  }

  // Generates a random number based on current milliseconds
  static String randomNumber() {
    String s = DateTime.now().millisecondsSinceEpoch.toString();
    return s;
  }
}
